Public Class FormularzGłówny
    Private Function CzyPlikIstnieje() As Boolean
        If Not (System.IO.File.Exists(txtPlikŹródłowy.Text)) Then
            MessageBox.Show("Wskazany plik nie istnieje!")
            Return False
        Else
            Return True
        End If
    End Function

    Private Sub btnOtwórzPlik_Click(sender As Object, e As EventArgs) Handles btnOtwórzPlik.Click
        With OpenFileDialog1
            .InitialDirectory = "C:\"
            .Title = "Wybierz plik"
            .FileName = ""
            .Filter = "Pliki tekstowe (*.txt)|*.txt"
            .FilterIndex = 1
            If .ShowDialog() <> DialogResult.Cancel Then
                txtPlikŹródłowy.Text = OpenFileDialog1.FileName
            Else
                txtPlikŹródłowy.Text = ""
            End If

        End With

    End Sub

    Private Sub btnZapiszPlik_Click(sender As Object, e As EventArgs) Handles btnZapiszPlik.Click
        With SaveFileDialog1
            .Title = "Podaj nazwę pliku docelowego"
            .Filter = "Pliki tekstowe (*.txt)|*.txt"
            .FilterIndex = 1
            .OverwritePrompt = True
            If .ShowDialog() <> DialogResult.Cancel Then
                txtPlikDocelowy.Text = .FileName
            End If
        End With

    End Sub

    Private Sub btnKopiujPlik_Click(sender As Object, e As EventArgs) Handles btnKopiujPlik.Click
        If Not CzyPlikIstnieje() Then Exit Sub
        System.IO.File.Copy(txtPlikŹródłowy.Text, txtPlikDocelowy.Text)
        MessageBox.Show("Plik został pomyślnie skopiowany.")

    End Sub

    Private Sub btnPrzenieś_Click(sender As Object, e As EventArgs) Handles btnPrzenieś.Click
        If Not CzyPlikIstnieje() Then Exit Sub
        System.IO.File.Move(txtPlikŹródłowy.Text, txtPlikDocelowy.Text)
        MessageBox.Show("Plik został pomyślnie przeniesiony.")

    End Sub

    Private Sub btnUsuń_Click(sender As Object, e As EventArgs) Handles btnUsuń.Click
        If Not CzyPlikIstnieje() Then Exit Sub
        If MessageBox.Show("Czy na pewno chcesz usunąć ten plik?", "Moja aplikacja",
                           MessageBoxButtons.YesNo, MessageBoxIcon.Question) =
            Windows.Forms.DialogResult.Yes Then
            System.IO.File.Delete(txtPlikŹródłowy.Text)
            MessageBox.Show("Plik został pomyślnie usunięty.")
        End If

    End Sub
End Class
